Subject: Re: [linux-pm] [RFC 1/3] support powermac G5 CPU hotplug

From: Johannes Berg <[email-masked]>
Date: Tue, 12 Dec 2006 14:47:17 +0100

On Tue, 2006-12-12 at 14:18 +0100, Johannes Berg wrote:

> > ?? Context for downing cpu should better be well-defined. Just do this
> > in cpu_die if it is really required.
> 
> It is actually required but I'm not exactly sure why. When I don't do
> this, I end up with preempt_count() 0x100000 (IIRC, notes not here at
                                      ^^^^^^^^ typo, should be 0x10000
> the moment).
> 
> I think this is because the suspend code has interrupts disabled already
> when downing the CPUs.

Also, the /sys/devices/system/cpu/cpuN/online thing doesn't disable
interrupts before downing the CPU thus that works without this.

johannes